import { InstallDependency, StartProgram } from "./types.js";
import { Address } from "@peerbit/program";
import { Ed25519PublicKey, Identity, PublicSignKey } from "@peerbit/crypto";
import { PeerId } from "@libp2p/interface";
import { RemoteOrigin } from "./remotes.js";
export declare const createClient: (keypair: Identity<Ed25519PublicKey>, remote?: {
    address: string;
    origin?: RemoteOrigin;
}) => Promise<{
    peer: {
        id: {
            get: () => Promise<any>;
        };
        addresses: {
            get: () => Promise<import("@multiformats/multiaddr").Multiaddr[]>;
        };
    };
    access: {
        allow: (key: PublicSignKey | PeerId | string) => Promise<boolean>;
        deny: (key: PublicSignKey | PeerId) => Promise<boolean>;
    };
    program: {
        has: (address: Address | string) => Promise<boolean>;
        open: (program: StartProgram) => Promise<Address>;
        close: (address: string) => Promise<void>;
        drop: (address: string) => Promise<void>;
        list: () => Promise<string[]>;
        variants: () => Promise<string[]>;
    };
    dependency: {
        install: (instruction: InstallDependency) => Promise<string[]>;
    };
    network: {
        bootstrap: () => Promise<void>;
    };
    restart: () => Promise<void>;
    stop: () => Promise<void>;
    terminate: () => Promise<void>;
}>;
export declare const waitForDomain: (ip: string, timeout?: number) => Promise<string>;
