import fs from "fs";
export class Trust {
    path;
    trusted;
    constructor(path) {
        this.path = path;
        if (fs.existsSync(path)) {
            this.trusted = JSON.parse(fs.readFileSync(path).toString("utf-8"));
        }
        else {
            this.trusted = [];
        }
    }
    save() {
        fs.writeFileSync(this.path, JSON.stringify(this.trusted));
    }
    isTrusted(hashcode) {
        return this.trusted.includes(hashcode);
    }
    add(key) {
        if (this.isTrusted(key)) {
            return;
        }
        this.trusted.push(key);
        this.save();
    }
    remove(hashcode) {
        const existing = this.trusted.findIndex((x) => (x = hashcode));
        if (existing >= 0) {
            this.trusted.splice(existing, 1);
            return true;
        }
        return false;
    }
}
//# sourceMappingURL=trust.js.map